var Client = {};

var setCli = function(clis, data, callback) {
  /*
  clis        Map of clients
  data        Map of data to insert
  callback    callback function
  */
  if (!data.has("mac") || data.mac=='') {
    console.error("no mac field ");
    //console.error(data);
    return;
  }
  var cl;
  if (clis.has(data.mac)) { // bekannter client
    cl = clis.get(cli);
  } else { // neuer client
    cl = {
      mac : "00:00:00:00:00:00",
      ap : "-",
      name : "",
      info : new Set(),
      pwr : 0,
      packets : 0,
      last : "",
      first : "",
      probed : new Set(),
    }
  }
  for (let [k,v] of data.entries()) {
    if (k == "probed") {
      for (let a of v) {
        cl.probed.add(a);
      }
    } else if (k == "info") {
      for (let a of v) {
        cl.info.add(a);
      }
    } else if (k == "pwr" || k == "packets") {
      cl[k] = parseInt(v);
    } else if (cl[k]!=null) {
      cl[k] = v;
    } else {
      console.error("no known field "+k+"  with");
      console.error(data);
    }
  }
  clis.set(cl.mac, cl);
}

var getCli = function(data) {

}

Client.setCli = setCli;

module.exports = Client;
